Home » Php » linux – How to Install an older version of php using apt-get?

linux – How to Install an older version of php using apt-get?

Posted by: admin February 25, 2020 Leave a comment

Questions:

I have this older package in this exact version that I want to install on Ubuntu.

https://launchpad.net/ubuntu/+source/php5/5.3.10-1ubuntu3.20

How can I install it using apt-get ? Thank you

How to&Answers:

to find out what different versions of a package is available in the enabled repository

apt-cache policy <package-name>

in your case

apt-cache policy php5

select the version that you want to install and then type

sudo apt-get install pkgname=version

in your case

sudo apt-get install php5=5.3.10-1ubuntu3.20

before running any of the above commands, it is better to update the apt-cache first. To do it, run

sudo apt-get update